/*
 * Copyright 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.tools.build.jetifier.processor

import java.io.File

/**
 * Result of the transformation done by the [Processor]
 *
 * @param filesToRemove files to be removed from project's dependencies
 * @param filesToAdd files generated by Jetifier to be added to project's dependencies
 */
data class TransformationResult(val filesToRemove: Set<File>, val filesToAdd: Set<File>)